#!/usr/bin/python3
# -*- coding: utf-8 -*-
# key-mapper - GUI for device specific keyboard mappings
# Copyright (C) 2020 sezanzeb <proxima@hip70890b.de>
#
# This file is part of key-mapper.
#
# key-mapper is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# key-mapper is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with key-mapper.  If not, see <https://www.gnu.org/licenses/>.


import unittest

from keymapper.linux import get_devices
from keymapper.paths import USERS_SYMBOLS, X11_SYMBOLS, \
    DEFAULT_SYMBOLS


class TestTest(unittest.TestCase):
    def test_stubs(self):
        self.assertIn('device 1', get_devices())

    def test_paths(self):
        # stuff in /usr
        self.assertTrue(USERS_SYMBOLS.startswith(X11_SYMBOLS))
        self.assertTrue(DEFAULT_SYMBOLS.startswith(X11_SYMBOLS))


if __name__ == "__main__":
    unittest.main()
